from alembic import op
import sqlalchemy as sa
revision = 'ff515d77abbe'
down_revision = '17efc6439cc3'
branch_labels = None
depends_on = None

def upgrade() -> None:
    op.add_column('page_contents', sa.Column('luxury_services', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('luxury_experiences', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('awards', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('cta_title', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('cta_subtitle', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('cta_button_text', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('cta_button_link', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('cta_image', sa.Text(), nullable=True))
    op.add_column('page_contents', sa.Column('partners', sa.Text(), nullable=True))

def downgrade() -> None:
    op.drop_column('page_contents', 'partners')
    op.drop_column('page_contents', 'cta_image')
    op.drop_column('page_contents', 'cta_button_link')
    op.drop_column('page_contents', 'cta_button_text')
    op.drop_column('page_contents', 'cta_subtitle')
    op.drop_column('page_contents', 'cta_title')
    op.drop_column('page_contents', 'awards')
    op.drop_column('page_contents', 'luxury_experiences')
    op.drop_column('page_contents', 'luxury_services')